Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ldi.cache.ejb
Interface CacheRemote

public interface CacheRemote
extends javax.ejb.EJBObject

This interface is the Remote interface for the cache EJB. It provides the ejb-tier implementation of the cache functions

Method Summary
`void` | `purgeCache()` Purges all of the cached results.
`void` | `purgeCache(java.lang.String queryName)` Purges all instances of the specified stored query name in the query cache.
`void` | `purgeCache(java.lang.String queryName, QueryParameters qparameters)` Purges the cache instance identified by the stored query name and the specified query parameters.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### purgeCache

    public void purgeCache()
                    throws java.rmi.RemoteException

  Purges all of the cached results. This includes every query result stored in the query cache.

  Throws:
    java.rmi.RemoteException -
  Since:
    8.1

### purgeCache

    public void purgeCache(java.lang.String queryName)
                    throws java.rmi.RemoteException

  Purges all instances of the specified stored query name in the query cache.

  Parameters:
    `queryName` - The name of the stored query, where stored query name is specified without the file extension. If the stored query is in a subdirectory of the stored_queries Liquid Data respository directory, use the dot notation. For example, if the stored query is saved in the respository as the following file:

    `ldRespository/stored_queries/dir1/dir2/storedQuery.xq`

    Then the value of the queryName parameter is

    `dir1.dir2.storedQuery`

  Throws:
    java.rmi.RemoteException -
  Since:
    8.1

### purgeCache

    public void purgeCache(java.lang.String queryName,
                           QueryParameters qparameters)
                    throws java.rmi.RemoteException

  Purges the cache instance identified by the stored query name and the specified query parameters.

  Parameters:
    `queryName` - The name of the stored query, where stored query name is specified without the file extension. If the stored query is in a subdirectory of the stored_queries Liquid Data respository directory, use the dot notation. For example, if the stored query is saved in the respository as the following file:

    `ldRespository/stored_queries/dir1/dir2/storedQuery.xq`

    Then the value of the queryName parameter is

    `dir1.dir2.storedQuery`

    `queryParameters` - The object that contains the list of parameters with values.
  Throws:
    java.rmi.RemoteException -
  Since:
    8.1

Overview | Package | Class | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation is available at
http://download.oracle.com/docs/cd/E13190_01/liquiddata/docs81